diff --git a/ChangeLog b/ChangeLog
index 09c84413732..2e9bf1137e4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -63,6 +63,8 @@ Changes
    * Reduce RAM consumption during session renegotiation by not storing
      the peer CRT chain and session ticket twice.
 
+= mbed TLS 2.16.X branch released XXXX-XX-XX
+
 Security
    * Fix potential memory overread when performing an ECDSA signature
      operation. The overread only happens with cryptographically low
@@ -77,8 +79,6 @@ Security
      ARMmbed/mbed-crypto#352
 
 Bugfix
-   * Allow loading symlinked certificates. Fixes #3005. Reported and fixed
-     by Jonathan Bennett <JBennett@incomsystems.biz> via #3008.
    * Fix an unchecked call to mbedtls_md() in the x509write module.
 
 = mbed TLS 2.16.4 branch released 2020-01-15
diff --git a/library/x509_crt.c b/library/x509_crt.c
index b09a5be54e2..af8f1d67fdb 100644
--- a/library/x509_crt.c
+++ b/library/x509_crt.c
@@ -2023,7 +2023,7 @@ int mbedtls_x509_crt_parse_path( mbedtls_x509_crt *chain, const char *path )
             goto cleanup;
         }
 
-        if( !( S_ISREG( sb.st_mode ) || S_ISLNK( sb.st_mode ) ) )
+        if( !S_ISREG( sb.st_mode ) )
             continue;
 
         // Ignore parse errors
